GET /api/v3/accounts/{lcuid}¶
Summary¶
GET accounts/{id}
Description¶
Return a single account
🔒 Required Permissions¶
At least one of the following permissions is required to access this endpoint:
account.viewagency.updateDeleteAllAgencyAccounts
Tags: accounts
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): Indicates whether the request was successful or notaccount(object) Type:object
Properties:
name(string): The name of the account-
options(object) Type:objectProperties:
primary_image_public_url(string): Primary image associated with the accountprimary_image_background_removed_public_url(string): Primary image with background removed
-
lcuid(string): The LCUID associated with the account slug(string): The unique identifier (slug) for the accountwebsite(string): The website associated with the accountdescription(string): A description of the accountcreated_at(string): The timestamp indicating when the account was createdinventory_item_class(array): The class type for inventory items created under this account- Array items:
string
- Array items:
account_class(string): The class type for the accountinventory_item_class_description(string): A description of the inventory item classaccount_class_description(string): A description of the account class-
agency(object) Type:objectProperties:
name(string)description(string)software_provider(string)website(string)status(integer)agency_class(string)options(object) Type:object
Properties:
primary_image_public_url(string)support_text(string)-
proof_legal_text(string) -
lcuid(string) slug(string)created_at(string)updated_at(string)agency_class_description(string)
-
parent_account(string): The parent account object if this is a sub-account is_parent_account(boolean)
Example Response¶
{
"success": true,
"account": {
"name": "Blue River Real Estate",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-a837edde-cd7e-48f4-a970-31c240a0ed62",
"slug": "UnitTestAccountAf0sp",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-02-03T18:12:49.000000Z",
"inventory_item_class": [
"App\\LuCore\\InventoryItems\\GenericInventoryItemClass"
],
"account_class": "App\\LuCore\\Accounts\\InventoryAccountClass",
"inventory_item_class_description": "Generic",
"account_class_description": "Inventory",
"agency": {
"name": "Test Agency - Unit Test - ksYmv",
"description": "Here is a new unit test agency description",
"software_provider": null,
"website": null,
"status": 0,
"agency_class": "App\\LuCore\\Agencies\\OperatorAgencyClass",
"options": {
"primary_image_public_url": null,
"support_text": null,
"proof_legal_text": null
},
"lcuid": "LCUID-LY-bc458bd3-e6aa-4148-a21d-bfb9098b50f2",
"slug": "TestAgencyUnitTestKsymv",
"created_at": "2026-02-03T18:12:48.000000Z",
"updated_at": "2026-02-03T18:12:48.000000Z",
"agency_class_description": "Operator"
},
"parent_account": null,
"is_parent_account": false
}
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()